Bug 95537 - Invalid argument in anv_ioctl called from anv_physical_device_init
Summary: Invalid argument in anv_ioctl called from anv_physical_device_init
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-23 10:32 UTC by Paul le Roux
Modified: 2016-05-28 00:20 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul le Roux 2016-05-23 10:32:43 UTC
When calling vkEnumeratePhysicalDevices it ends up failing at the ioctl call within anv_physical_device_init. It correctly opens the device /dev/dri/renderD128, but then fails with invalid argument when it tries to get the chipset id.

This is run on a i7-3630QM with a HD4000. There is also a GTX 675MX present, but it's not used.

Im running an updated Arch-Linux system (23 May 2016)

I build mesa with debug enabled and used the intel_vulkan library, but when trying to run any vulkan application (like vulkaninfo) it fails with 

anv_device.c:77: failed to get chipset id: Invalid argument (VK_ERROR_INITIALIZATION_FAILED)
Comment 1 Jason Ekstrand 2016-05-25 03:55:07 UTC
Can you try it with the wip/anv-multi-device branch on my freedesktop.org:

https://cgit.freedesktop.org/~jekstrand/mesa/

It has a couple of patches that *should* let it work even if there are multiple GPUs in the system.
Comment 2 Paul le Roux 2016-05-25 12:55:44 UTC
Running it with J. Ekstrand git branch:

I just get this warning

WARNING: Ivy Bridge Vulkan support is incomplete

The cube and triangle demo works, but when running vulkaninfo

vulkaninfo: anv_formats.c:268: anv_get_format: Assertion `vk_format_aspects(vk_format) == VK_IMAGE_ASPECT_COLOR_BIT' failed.

Although I think this is now a seperate issue.
Comment 3 Jason Ekstrand 2016-05-28 00:20:16 UTC
(In reply to Paul le Roux from comment #2)
> Running it with J. Ekstrand git branch:
> 
> I just get this warning
> 
> WARNING: Ivy Bridge Vulkan support is incomplete
> 
> The cube and triangle demo works, but when running vulkaninfo

Cool.  I just pushed the multi-gpu patches.

> vulkaninfo: anv_formats.c:268: anv_get_format: Assertion
> `vk_format_aspects(vk_format) == VK_IMAGE_ASPECT_COLOR_BIT' failed.
> 
> Although I think this is now a seperate issue.

Yes, and I just fixed it!  I'm closing this bug now.  If you continue to have issues, please file them under a new bug.


bug/show.html.tmpl processed on Jan 22, 2017 at 22:18:13.
(provided by the Example extension).